Subject: Re: [PATCH 0/6] packed deltas with offset to base instead of sha1

From: Shawn Pearce <[email-masked]>
Date: Thu, 21 Sep 2006 12:02:27 -0400

Junio C Hamano <[email-masked]> wrote:
> Nicolas Pitre <[email-masked]> writes:
> 
> > The following patches are the result of my work to allow deltas to have
> > their base specified as an offset within a pack instead of a 20 byte 
> > sha1.
> >
> > This turned to be somewhat more involved than I originally expected. 
> > Given the relative pack reduction resulting from that, I might have 
> > decided against doing this if I had known beforehand how much work was 
> > needed.
> >
> > But since it is done now I think it is worth merging nevertheless.  Some 
> > parts are still pure code cleanups anyway.
> >
> > Overall the larger projects are likely to benefit more as they have a 
> > larger proportion of deltas.  On the historic Linux archive the pack 
> > reduction is about 5%.
> 
> Nice, although I suspect this would make it a bit more involved
> to merge a few outstanding stuff.

If you are talking about my mmap window code merge in Nico's
work first.  Nico posted before me and did so with a working
implementation that looks good (at first glance anyway, I didn't
study it in detail).  I have yet to finish merging my mmap code
onto your verify delta before reuse (106d710b) commits.  I've just
been too busy with classes and research work to get around to it.

However I have looked at the merge and I more or less need to
rewrite a good chunk of it just to get it onto 106d7; rewriting it
onto Nico's work here is probably going to be about the same amount
of effort.  I'd prefer to rewrite it only once, given how limited
my time has suddenly become.

-- 
Shawn.